Summary: SME server mod_deflate activation
%define name smeserver-mod_deflate
Name: %{name}
%define version 1.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires:  e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 7
AutoReqProv: no

%changelog
* Mon Jul 16 2007 Michel Van hees <michel@vanhees.cc>
- Thanks to Sylvain Gomez that correct the uninstall script

* Wed Jun 14 2006 Michel Van hees <michel@vanhees.cc>
- start developpement

%description
Activate mod_deflate on smeserver

%prep
%setup
#%patch0 -p1
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
/sbin/e-smith/db configuration set modDeflate service level 9 status enabled
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/rc.d/init.d/httpd-e-smith sigusr1

%postun
/sbin/e-smith/db configuration delete modDeflate
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/rc.d/init.d/httpd-e-smith sigusr1

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
